Qt 5.11 | Qt 3D | C++ Classes | QChannelMappingCreatedChangeBase

Qt 5.11.3 Reference Documentation

# QChannelMappingCreatedChangeBase Class

(Qt3DAnimation::QChannelMappingCreatedChangeBase)

Base class for handling creation changes for QAbstractSkeleton sub-classes. More...

Header: | #include <QChannelMappingCreatedChangeBase>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QNodeCreatedChangeBase

- List of all members, including inherited members

## Public Types

enum | MappingType { ChannelMapping, SkeletonMapping, CallbackMapping }

## Public Functions

| QChannelMappingCreatedChangeBase(const Qt3DAnimation::QAbstractChannelMapping *mapping)

- 3 public functions inherited from Qt3DCore::QNodeCreatedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Detailed Description

Base class for handling creation changes for QAbstractSkeleton sub-classes.

## Member Type Documentation

### enum QChannelMappingCreatedChangeBase::MappingType

## Member Function Documentation

### QChannelMappingCreatedChangeBase::QChannelMappingCreatedChangeBase(const Qt3DAnimation::QAbstractChannelMapping *mapping)

Default constructs an instance of QChannelMappingCreatedChangeBase.